<?xml version="1.0" encoding="UTF-8"?>
<!--
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 - EasyBeans
 - Copyright (C) 2007 Bull S.A.S.
 - Contact: easybeans@objectweb.org
 -
 - This library is free software; you can redistribute it and/or
 - modify it under the terms of the GNU Lesser General Public
 - License as published by the Free Software Foundation; either
 - version 2.1 of the License, or any later version.
 -
 - This library is distributed in the hope that it will be useful,
 - but WITHOUT ANY WARRANTY; without even the implied warranty of
 - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 - Lesser General Public License for more details.
 -
 - You should have received a copy of the GNU Lesser General Public
 - License along with this library; if not, write to the Free Software
 - Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 - USA
 -
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 - $Id: build.xml 10928 2007-07-11 12:54:26Z benoitf $
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 -->

<project name="JOnAS Java EE 5 Ear example" default="install" basedir=".">

  <!-- Import common rules -->
  <import file="../jonas-common.xml" />

  <!-- Build exploded archives or not ? -->
  <property name="archives.exploded" value="false" />

  <!-- EAR -->
  <property name="ear.name" value="javaee5-earsample" />

  <!-- Properties for the ejb-jar (name + pattern set)-->
  <property name="ejb.name" value="ejb3" />
  <property name="ejb.persistence.dd" value="etc/persistence.xml" />

  <patternset id="ejb.patternset">
    <include name="org/ow2/jonas/examples/ear/Sta*.class" />
    <include name="org/ow2/jonas/examples/ear/Author.class" />
    <include name="org/ow2/jonas/examples/ear/Book.class" />
  </patternset>

  <!-- Properties for the War (name + deployment descriptor + pattern set) -->
  <property name="war.name" value="javaee5-earsample" />
  <property name="war.dd" value="etc/web.xml" />
  <patternset id="war.patternset">
    <include name="org/ow2/jonas/examples/ear/ExampleServlet.class" />
  </patternset>

</project>

